View Issue Details

IDProjectCategoryView StatusLast Update
0002334PartDesignFeaturepublic2017-05-06 21:25
ReporterIntermezzoAssigned To 
PriorityhighSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
PlatformallOSOS Version
Product Version0.15 
Target VersionFixed in Version0.17 
Summary0002334: Parallelizing BOPs
DescriptionWith occ 6.9.0 and higher it is possible to use BRepAlgoAPI_Algo::SetRunParallel() to multithread boolean operations.
see: http://dev.opencascade.org/index.php?q=node/718

There should be an option that enables this feature for all boolean operations.
TagsNo tags attached.

Relationships

related to 0002750 new FreeCAD SetRunParallel for BOA (multi-threading) 

Activities

There are no notes attached to this issue.

Related Changesets

FreeCAD: master 1ad6d800

2016-11-02 17:03:01

wwmayer


Committer: GitHub Details Diff
Merge pull request 0000328 from triplus/master

Part multiFuse enable SetRunParallel
Affected Issues
0002334
mod - src/Mod/Part/App/TopoShape.cpp Diff File

Issue History

Date Modified Username Field Change
2015-11-11 15:38 Intermezzo New Issue
2016-11-02 16:32 wmayer Changeset attached => FreeCAD Master master 1ad6d800
2016-11-02 16:33 wmayer Status new => closed
2016-11-02 16:33 wmayer Resolution open => fixed
2016-11-02 16:33 wmayer Fixed in Version => 0.17
2017-05-06 21:25 Kunda1 Relationship added related to 0002750